Update Billing Credits Top-up Catalog Entry
curl --request PATCH \
--url http://127.0.0.1:3333/v3/billing/credits-topups/{topupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/billing/credits-topups/{topupId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/billing/credits-topups/{topupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"key": "<string>",
"credits": 1,
"defaultCurrency": "brl",
"price": 1,
"prices": {
"brl": 1,
"usd": 1,
"eur": 1,
"gbp": 1
},
"stripeProductId": "<string>",
"displayOrder": 1,
"isPublic": true,
"displayName": "<string>",
"description": "<string>",
"checkoutName": "<string>",
"translations": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Catalog & Invoices
Update Credits Top-up Catalog Entry
Update billing credits top-up catalog entry.
PATCH
/
v3
/
billing
/
credits-topups
/
{topupId}
Update Billing Credits Top-up Catalog Entry
curl --request PATCH \
--url http://127.0.0.1:3333/v3/billing/credits-topups/{topupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/billing/credits-topups/{topupId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/billing/credits-topups/{topupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"key": "<string>",
"credits": 1,
"defaultCurrency": "brl",
"price": 1,
"prices": {
"brl": 1,
"usd": 1,
"eur": 1,
"gbp": 1
},
"stripeProductId": "<string>",
"displayOrder": 1,
"isPublic": true,
"displayName": "<string>",
"description": "<string>",
"checkoutName": "<string>",
"translations": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required range:
x > 0Query Parameters
Body
application/json
Required range:
x > 0Available options:
brl, usd, eur, gbp Required range:
x >= 0Show child attributes
Show child attributes
Minimum string length:
1Required range:
x >= 0Show child attributes
Show child attributes
Response
Default Response
Required range:
x > 0Available options:
brl, usd, eur, gbp Required range:
x >= 0Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes